IndexNotAvailableException (Oracle - Berkeley DB Java API)
Date: 2020-06-01

Package com.sleepycat.persist

## Class IndexNotAvailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sleepycat.db.DatabaseException
      - - com.sleepycat.persist.IndexNotAvailableException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class IndexNotAvailableException
      extends DatabaseException

  Thrown by the `getPrimaryIndex`, `getSecondaryIndex` and `getSubclassIndex` when an index has not yet been created.

  It can be thrown when opening an environment read-only with new persistent classes that define a new primary or secondary index. The index does not exist because the environment has not yet been opened read-write with the new classes. When the index is created by a read-write application, the read-only application must close and re-open the environment in order to open the new index.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IndexNotAvailableException​(java.lang.String message)` | For internal use only.

  - ### Method Summary

    - ### Methods inherited from class com.sleepycat.db.DatabaseException

      `getEnvironment, getErrno, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexNotAvailableException

          public IndexNotAvailableException​(java.lang.String message)

      For internal use only.
      Parameters:
        `message` - the message.

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.